/*
 * Copyright 2010-2012, The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "bcc/Script.h"

#include "bcc/Source.h"

using namespace bcc;

bool Script::reset(Source &pSource, bool pPreserveCurrent) {
  if (mSource == &pSource) {
    return false;
  }

  if (!pPreserveCurrent) {
    delete mSource;
  }
  mSource = &pSource;
  return doReset();
}

bool Script::mergeSource(Source &pSource, bool pPreserveSource) {
  return mSource->merge(pSource, pPreserveSource);
}
